/*
 * 作成日: 2004/09/14
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
package jp.riken.brain.ni.samuraigraph.base;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.Point;
import javax.swing.JPanel;


/**
 * @author kuromaru
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
public class SGImagePanel extends JPanel
{

	/**
	 * 
	 */
	private Image mImage = null;


	/**
	 * 
	 */
	private Point mLocation = new Point();


	/**
	 * 
	 *
	 */
	public SGImagePanel()
	{
		super();
	}


	/**
	 * 
	 * @param x
	 * @param y
	 * @return
	 */
	public boolean setImageLocation( final int x, final int y )
	{
		this.mLocation.x = x;
		this.mLocation.y = y;
		return true;
	}


	/**
	 * 
	 * @return
	 */
	public Point getImageLocation()
	{
		return this.mLocation;
	}



	/**
	 * 
	 * @param image
	 * @return
	 */
	public boolean setImage( final Image image )
	{
		this.mImage = image;
		return true;
	}



	/**
	 * 
	 * @return
	 */
	public Image getImage()
	{
		return this.mImage;
	}



	/**
	 * 
	 */
	public void paint( Graphics g )
	{
		if( mImage == null )
		{
			return;
		} 

		// draw the image
		final int width = mImage.getWidth( this );
		final int height = mImage.getHeight( this );
		g.drawImage(
			mImage,
			this.mLocation.x,
			this.mLocation.y,
			width,
			height,
			this
		);
	}



}
